/* special css */

.o-main--mii {
  margin-top: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: fit-content;
}

.o-mii-summary {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 3rem;
  padding: 4rem 0rem;
  font-family: "Dita";
}

.o-mii-summary__portrait-container {
  width: 300px;
  min-width: 300px;
  max-width: 300px;
  height: fit-content;
  position: relative;
}

.o-mii-summary__portrait-container::after {
  content: "";
  position: absolute;
  background: url("../../../../graphics/misc/miiverse/mii-portrait-border.svg");
  background-size: 100%;
  background-position: center;
  background-repeat: no-repeat;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.o-mii-summary__portrait {
  mask-image: url(../../../../graphics/misc/miiverse/mii-portrait-mask.svg);
  mask-size: 100%;
  mask-position: center;
  mask-repeat: no-repeat;
  width: 100%;
  height: auto;
}

.o-mii-summary__name {
  position: relative;
  width: fit-content;
  margin-bottom: 1.5rem;
}

.o-mii-summary__name::after {
  content: "";
  background: url("../../../../graphics/misc/miiverse/mii-underline.svg");
  background-size: 100%;
  background-repeat: no-repeat;
  width: 100%;
  height: 25px;
  position: absolute;
  bottom: -20px;
  left: 0px;
}

.o-mii-summary__bio {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  position: relative;
}

.o-mii-summary__character {
  margin-left: 3rem;
  background: #faf9e7FF;
  box-shadow: 0px 8px 0px 0px #ffc336FF;
  border-radius: 50px;
  padding: 2.5rem 3.125rem;
  width: 50ch;
}

/* yes there will be a class for all 16 personalities. i know it sucks */

.o-mii-personality--sweetie .o-mii-personality__name {
  color: #E59822;
}

.o-mii-personality--sweetie::after {
  filter: brightness(0) saturate(100%) invert(86%) sepia(39%) saturate(210%) hue-rotate(352deg) brightness(102%) contrast(96%);
}

.o-mii-personality--cheerleader .o-mii-personality__name {
  color: #CEB010;
}

.o-mii-personality--cheerleader::after {
  filter: brightness(0) saturate(100%) invert(73%) sepia(3%) saturate(3863%) hue-rotate(17deg) brightness(121%) contrast(109%);
}

.o-mii-personality--buddy .o-mii-personality__name {
  color: #DA9F07;
}

.o-mii-personality--buddy::after {
  filter: brightness(0) saturate(100%) invert(85%) sepia(33%) saturate(429%) hue-rotate(349deg) brightness(103%) contrast(96%);
}

.o-mii-personality--daydreamer .o-mii-personality__name {
  color: #D89B04;
}

.o-mii-personality--daydreamer::after {
  filter: brightness(0) saturate(100%) invert(84%) sepia(35%) saturate(458%) hue-rotate(329deg) brightness(104%) contrast(97%);
}

.o-mii-personality--charmer .o-mii-personality__name {
  color: #D45385;
}

.o-mii-personality--charmer::after {
  filter: brightness(0) saturate(100%) invert(77%) sepia(18%) saturate(439%) hue-rotate(303deg) brightness(104%) contrast(96%);
}

.o-mii-personality--go-getter .o-mii-personality__name {
  color: #B8011B;
}

.o-mii-personality--go-getter::after {
  filter: brightness(0) saturate(100%) invert(95%) sepia(12%) saturate(2703%) hue-rotate(295deg) brightness(99%) contrast(96%);
}

.o-mii-personality--merrymaker .o-mii-personality__name {
  color: #DD4E1B;
}

.o-mii-personality--merrymaker::after {
  filter: brightness(0) saturate(100%) invert(72%) sepia(5%) saturate(3443%) hue-rotate(320deg) brightness(116%) contrast(95%);
}

.o-mii-personality--dynamo .o-mii-personality__name {
  color: #9B460F;
}

.o-mii-personality--dynamo::after {
  filter: brightness(0) saturate(100%) invert(90%) sepia(90%) saturate(4058%) hue-rotate(295deg) brightness(99%) contrast(107%);
}

.o-mii-personality--strategist .o-mii-personality__name {
  color: #6DAA04;
}

.o-mii-personality--strategist::after {
  filter: brightness(0) saturate(100%) invert(94%) sepia(16%) saturate(686%) hue-rotate(31deg) brightness(93%) contrast(92%);
}

.o-mii-personality--perfectionist .o-mii-personality__name {
  color: #077057;
}

.o-mii-personality--perfectionist::after {
  filter: brightness(0) saturate(100%) invert(76%) sepia(7%) saturate(1163%) hue-rotate(96deg) brightness(108%) contrast(92%);
}

.o-mii-personality--observer .o-mii-personality__name {
  color: #046C67;
}

.o-mii-personality--observer::after {
  filter: brightness(0) saturate(100%) invert(82%) sepia(6%) saturate(618%) hue-rotate(103deg) brightness(91%) contrast(92%);
}

.o-mii-personality--thinker .o-mii-personality__name {
  color: #008340;
}

.o-mii-personality--thinker::after {
  filter: brightness(0) saturate(100%) invert(93%) sepia(56%) saturate(303%) hue-rotate(49deg) brightness(88%) contrast(80%);
}

.o-mii-personality--achiever .o-mii-personality__name {
  color: #04a1b3;
}

.o-mii-personality--achiever::after {
  filter: invert(94%) sepia(8%) saturate(1066%) hue-rotate(144deg) brightness(96%) contrast(94%);
}

.o-mii-personality--visionary .o-mii-personality__name {
  color: #0A6FAB;
}

.o-mii-personality--visionary::after {
  filter: brightness(0) saturate(100%) invert(82%) sepia(4%) saturate(3292%) hue-rotate(183deg) brightness(98%) contrast(90%);
}

.o-mii-personality--rogue .o-mii-personality__name {
  color: #0637B9;
}

.o-mii-personality--rogue::after {
  filter: brightness(0) saturate(100%) invert(76%) sepia(9%) saturate(1129%) hue-rotate(200deg) brightness(98%) contrast(90%);
}

.o-mii-personality--maverick .o-mii-personality__name {
  color: #7760B7;
}

.o-mii-personality--maverick::after {
  filter: brightness(0) saturate(100%) invert(80%) sepia(9%) saturate(1589%) hue-rotate(207deg) brightness(98%) contrast(88%);
}

.o-mii-personality {
  position: absolute;
  bottom: -100px;
  left: -220px; 
  z-index: 3;
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
  justify-content: center;
  align-items: center;
  padding: 1.5rem 2rem;
  width: 25ch;
  height: fit-content;
  filter: drop-shadow(2px 4px 0px rgba(0, 0, 0, 0.2));
}

.o-mii-personality::after {
  content: "";
  position: absolute;
  z-index: -1;
  background: url("../../../../graphics/misc/miiverse/personality-bg.svg");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: 100%;
  height: 100%;
}

.o-mii-personality__name {
  width: fit-content;
  text-align: center;
  font-family: "Dita Bold";
  font-size: 1.1rem;
  /* -webkit-text-stroke: 1px;
  -webkit-text-stroke-color: #FFFFFF; */
  text-shadow:
    -2px -2px 0 #FFFFFF,  
    2px -2px 0 #FFFFFF,
    -2px 2px 0 #FFFFFF,
    2px 2px 0 #FFFFFF;
}

.o-mii-personality__desc {
  width: 22ch;
  font-size: 0.8rem;
  text-align: justify
}

.o-mii-quirk-list {
  background: #ffd032;
  border-radius: 30px;
  padding: 1.25rem;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  align-content: center;
  justify-content: center;
  width: 60%;
  height: fit-content;
  margin-top: 6rem;
  gap: 1rem;
}

.o-mii-quirk {
  font-family: "Dita Bold";
  background: #fbf3d0;
  border-radius: 30px;
  padding: 0.35rem 1rem 0.35rem 0.7rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.3rem;
  height: 2.5rem;
}

.o-mii-quirk__icon-container {
  height: 85%;
  width: 30px;
  aspect-ratio: 1/1;
}

.o-mii-quirk__icon {
  height: 100%;
  width: 100%;
  object-fit: contain;
}

.o-mii-quirk__text {
  text-align: center;
}

.o-mii-details {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2.188rem;
  margin-top: 6rem;
}

.o-mii-heading {
  font-family: "Dreamlife";
  font-size: 2.6rem;
}

.o-mii-details__list {
  background: #faf9e7FF;
  box-shadow: 0px 8px 0px 0px #ffc336FF;
  padding: 2.5rem 3.125rem;
  border-radius: 50px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 1rem;
  width: 80%;
  height: fit-content;
}

.o-mii-details__item {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  justify-content: center;
  align-items: center;
}

.o-mii-details__item--trivia {
  align-items: flex-start;
  margin-top: 1rem;
  gap: 3rem;
}

.o-mii-details__label {
  font-family: "Dita Bold";
  padding: 1rem 2rem;
  background: #efa300;
  border-radius: 50px;
  color: #FFFFFF;
}

.o-mii-details__info {
  font-family: "Dita";
}

.o-mii-gallery {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  margin-top: 6rem;
  margin-bottom: 4rem;
  width: 100%;
  height: fit-content;
}

.o-game-list {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 1rem;
  width: 80%;
  height: fit-content;
}

.o-game {
  padding: 0.8rem 1.5rem 0.8rem 1.3rem;
  border: none;
  border-radius: 100px;
  background: #fdfefe;
  font-family: "Dita Bold";
  color: #03243d;
  display: grid;
  grid-template-columns: 1rem auto;
  align-items: center;
  justify-items: center;
  gap: 1rem;
  box-shadow: 0px 4px 0px 0px #e1e1dbFF, 0px 8px 0px 0px #c9ac53FF;
}

.o-game:hover, .o-game input[type="checkbox"]:hover {
  cursor: pointer;
}

.o-game input[type="checkbox"] {
  /* remove default appearance */
  appearance: none;
  background-color: #fff; /* For iOS < 15 to remove gradient background */
  margin: 0;
  /* add custom appearance */
  font: inherit;
  color: #e1e1db;
  width: 2rem;
  height: 2rem;
  border: 3px solid #e1e1db;
  border-radius: 100px;
  background: none;
  display: grid;
  place-content: center;
}

.o-game input[type="checkbox"]::before {
  content: "";
  width: 2rem;
  height: 2rem;
  border: none;
  border-radius: 100px;
  background: #dc6830;
  background: url("../../../../graphics/misc/miiverse/checked.svg");
  background-size: 98%;
  visibility: hidden;
}

.o-game input[type="checkbox"]:checked::before {
  visibility: visible;
}

.o-thumbnail-list {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  align-items: center;
  justify-items: center;
  gap: 1.2rem;
  width: 80%;
  padding-top: 2rem;
  height: fit-content;
}

.o-thumbnail-container {
  aspect-ratio: 16/9;
  width: 300px;
  height: auto;
  border: 5px solid #efa300;
  overflow: hidden;
  position: relative;
}

.o-thumbnail-container:hover {
  transform: translateY(-5px) scale(1.02);
  box-shadow: 0px 4px 0px 0px #c9ac53FF;
  transition: 0.2s all;
  cursor: pointer;
}

.o-thumbnail {  
  width: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto 0;
}

.o-lightbox {
  position: fixed;
  z-index: 3;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #13222dd6;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  color: #ffffff;
  font-family: "Dita";
  gap: 1rem;
}

.o-lightbox__other {
  display: flex;
  flex: 0 0 auto; 
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 3rem 5rem 0 5rem;
  width: 100%;
  height: fit-content;
}

.o-lightbox-info > img {
  width: 50px;
  height: auto;
}

.o-lightbox-close > img {
  width: 40px;
  height: auto;
}

.o-lightbox-info {
  position: relative;
}

.o-lightbox-info-box {
  position: absolute;
  z-index: 3;
  left: 30px;
  top: 30px;
  background: #faf9e7;
  padding: 2.5rem 3.125rem;
  border-radius: 50px;
  width: fit-content;
  font-size: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40vw;
}

.o-lightbox-info-box__content {
  display: block;
  text-align: left;
  width: fit-content;
  height: fit-content;
}

.o-lightbox__spacing {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.o-lightbox__content {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  height: 100%;
}

.o-lightbox-nav, .o-lightbox-info, .o-lightbox-close {
  background: none;
  border: none;
  cursor: pointer;
}

.o-lightbox-nav {
  padding: 0 0rem;
}

.o-lightbox-nav > img {
  width: 40px;
  height: auto;
}

.o-lightbox-nav:hover {
  cursor: pointer;
}

.o-lightbox-nav-container--mobile {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 3rem;
  padding: 3rem 0;
}

.o-lightbox-nav-container--mobile, .o-lightbox-nav--mobile {
  display: none;
}

.o-picture-container {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 80vw;
  max-height: 80vh;
  width: 100%;
  height: 100%;
  padding: 0 0 0rem 0;
}

.o-picture {
  object-fit: contain;
  object-position: center;
  width: 100%;
  height: 100%;
}

.o-top-btn {
  background: #efa300;
  border: none;
  border-radius: 35px;
  color: #ffffff;
  font-family: "Dita Bold";
  font-size: 1.1rem;
  width: fit-content;
  height: fit-content;
  padding: 1.563rem 2.5rem;
  margin-bottom: 3rem;
}

.o-top-btn:hover {
  cursor: pointer;
}

/* height */

@media screen and (max-height: 750px) {
  .o-lightbox-nav > img {
    width: 30px;
    height: auto;
  }

  .o-lightbox-info > img, .o-lightbox-close > img {
    width: 35px;
    height: auto;
  }
  .o-lightbox__other {
    padding: 2rem 4rem 0 4rem
  }
}

/* width */

@media screen and (max-width: 1200px) {
  .o-thumbnail-list {
    grid-template-columns: repeat(1fr);
  }
}

@media screen and (max-width: 1080px) {
  h1 {
    font-size: 3.5rem;
  }

  .o-mii-summary {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    gap: 7rem;
    padding: 4rem 0rem 0rem 0rem;
    font-family: "Dita";
    width: 70%;
  }

  .o-mii-summary__bio {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 0.5rem;
    position: relative;
    width: 100%;
    height: fit-content;
  }

  .o-mii-summary__character {
    margin-left: 0rem;
    background: #faf9e7FF;
    box-shadow: 0px 8px 0px 0px #ffc336FF;
    border-radius: 50px;
    padding: 2.5rem 3.125rem;
    height: fit-content;
    width: 100%;
  }

  .o-mii-personality {
    position: absolute;
    bottom: -90px;  
    left: auto;
    right: 0px;
    z-index: 3;
    display: flex;
    flex-direction: column;
    gap: 0.3rem;
    justify-content: center;
    align-items: center;
    padding: 1.1rem 2rem;
    width: fit-content;
    height: fit-content;
    filter: drop-shadow(2px 4px 0px rgba(0, 0, 0, 0.2));
  }

  .o-mii-quirk-list {
    background: #ffd032;
    border-radius: 30px;
    padding: 1.25rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-content: center;
    width: 70%;
    height: fit-content;
    margin-top: 2rem;
    gap: 1rem;
  }
}

@media screen and (max-width: 900px) {
  .o-lightbox__content {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 100%;
  }
  
  .o-picture-container {
      flex: 1;
      display: flex;
      justify-content: center;
      align-items: center;
      max-width: 80vw;
      max-height: 70vh;
      width: 100%;
      height: 100%;
      padding: 0 0 2rem 0;
  }

  .o-lightbox-nav--pc {
    display: none;
  }

  .o-lightbox-nav-container--mobile {
    display: flex;
  }

  .o-lightbox-nav--mobile {
    display: block;
  }
}

@media screen and (max-width: 760px) {
  .o-thumbnail-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    align-items: center;
    justify-items: center;
    gap: 1.2rem;
    width: 80%;
    padding-top: 2rem;
    height: fit-content;
  }

  .o-thumbnail-container {
    aspect-ratio: 16/9;
    width: 250px;
    height: auto;
    border: 5px solid #efa300;
    overflow: hidden;
    position: relative;
  }
}

@media screen and (max-width: 590px) {
  .o-mii-details__list {
    background: none;
    box-shadow: none;
    padding: 0;
    border-radius: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    width: 80%;
    height: fit-content;
  }

  .o-mii-details__item {
    background: #faf9e7FF;
    box-shadow: 0px 8px 0px 0px #ffc336FF;
    padding: 2.5rem 3.125rem;
    border-radius: 50px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
    align-items: center;
    width: 100%;
  }

  .o-mii-details__item--trivia {
    align-items: center;
    margin-top: 0;
    gap: 1.5rem;
  }

  .o-mii-details__info {
    text-align: center;
  }
  
  .o-mii-details__info--trivia {
    text-align: left;
    padding-left: 2rem;
  }
}

@media screen and (max-width: 450px) {
  .o-mii-personality {
    position: absolute;
    bottom: -90px;  
    left: 50%;
    transform: translateX(-50%);
    right: auto;
    z-index: 3;
    display: flex;
    flex-direction: column;
    gap: 0.3rem;
    justify-content: center;
    align-items: center;
    padding: 1.1rem 2rem;
    width: fit-content;
    height: fit-content;
    filter: drop-shadow(2px 4px 0px rgba(0, 0, 0, 0.2));
  }

  .o-lightbox__content {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 60%;
  }
}